<?php

use Illuminate\Support\Facades\Route;
use Koneko\SatCatalogs\Http\Controllers\SatCatalogController;

// Grupo raíz para admin con middleware y prefijos comunes
Route::prefix('admin/catalogos/sat')->name('admin.core.sat')->middleware(['web', 'auth', 'admin'])->group(function () {
    // Rutas de UserController
    Route::controller(SatCatalogController::class)->name('import')->group(function () {
        Route::get('importar-catalogos', 'import')->name('index');
    });
});

Route::post('catalogos/sat/get/{type}', [SatCatalogController::class, 'catalogAjax'])->name('admin.core.sat.get.ajax');
